<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddDevicePoolReq StructType
 * @subpackage Structs
 */
class AddDevicePoolReq extends APIRequest
{
    /**
     * The devicePool
     * @var XDevicePool
     */
    public $devicePool;
    /**
     * Constructor method for AddDevicePoolReq
     * @uses AddDevicePoolReq::setDevicePool()
     * @param XDevicePool $devicePool
     */
    public function __construct(XDevicePool $devicePool = null)
    {
        $this
            ->setDevicePool($devicePool);
    }
    /**
     * Get devicePool value
     * @return XDevicePool|null
     */
    public function getDevicePool()
    {
        return $this->devicePool;
    }
    /**
     * Set devicePool value
     * @param XDevicePool $devicePool
     * @return AddDevicePoolReq
     */
    public function setDevicePool(XDevicePool $devicePool = null)
    {
        $this->devicePool = $devicePool;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddDevicePoolReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
